diff -Nru ./FL/Fl_Boxtype.H ../fltk-2-cvs/FL/Fl_Boxtype.H
--- ./FL/Fl_Boxtype.H	Fri Aug 11 05:14:54 2000
+++ ../fltk-2-cvs/FL/Fl_Boxtype.H	Tue Jul 10 20:00:12 2001
@@ -65,14 +65,29 @@
   const Fl_Frame_Box* down;
 public:
   const char* data() const {return data_;}
-  void draw(int,int,int,int, Fl_Color, Fl_Flags=0) const;
-  void draw(const Fl_Widget*, int,int,int,int, Fl_Flags=0) const;
+  virtual void draw(int,int,int,int, Fl_Color, Fl_Flags=0) const;
+  virtual void draw(const Fl_Widget*, int,int,int,int, Fl_Flags=0) const;
   Fl_Frame_Box(const char* n, const char* c, const Fl_Frame_Box* d=0);
 };
-extern FL_API const Fl_Frame_Box fl_up_box;
+
+class FL_API Fl_Mappy_Box : public Fl_Frame_Box {
+protected:
+  const char* data2_;
+  int data_sz_x,data_sz_y;
+  int data_sl_x,data_sl_y;
+  char at(int x,int y) const;
+public:
+  const char* data() const {return data_;}
+  virtual void draw(int,int,int,int, Fl_Color, Fl_Flags=0) const;
+  virtual void draw(const Fl_Widget*, int,int,int,int, Fl_Flags=0) const;
+  Fl_Mappy_Box(const char* n, const char* c, const Fl_Frame_Box* d=0);
+};
+
+
+extern FL_API const Fl_Mappy_Box fl_up_box;
 #define FL_UP_BOX (&fl_up_box)
 #define FL_NORMAL_BOX (&fl_up_box)
-extern FL_API const Fl_Frame_Box fl_down_box;
+extern FL_API const Fl_Mappy_Box fl_down_box;
 #define FL_DOWN_BOX (&fl_down_box)
 extern FL_API const Fl_Frame_Box fl_thin_up_box;
 #define FL_THIN_UP_BOX (&fl_thin_up_box)
diff -Nru ./fluid/coding_style.cxx ../fltk-2-cvs/fluid/coding_style.cxx
--- ./fluid/coding_style.cxx	Thu Mar  8 09:39:05 2001
+++ ../fltk-2-cvs/fluid/coding_style.cxx	Tue Jul 10 20:02:59 2001
@@ -11,188 +11,200 @@
 
 static void use_coding_style() {
   gbrace_style = brace_style;
-gno_space_parens = no_space_parens;
-gbrace_functions = brace_functions;
-gindent_tabs = indent_tabs;
-gtab_size = tab_size;
-galways_return_parens = always_return_parens;
+  gno_space_parens = no_space_parens;
+  gbrace_functions = brace_functions;
+  gindent_tabs = indent_tabs;
+  gtab_size = tab_size;
+  galways_return_parens = always_return_parens;
 }
 
 static Fl_Round_Button *pStyle1=(Fl_Round_Button *)0;
 
 static void cb_pStyle1(Fl_Round_Button* o, void*) {
   if(o->value())
-   brace_style = 1;
+     brace_style = 1;
+
 }
 
 static Fl_Round_Button *pStyle2=(Fl_Round_Button *)0;
 
 static void cb_pStyle2(Fl_Round_Button* o, void*) {
   if(o->value())
-   brace_style = 2;
+     brace_style = 2;
+
 }
 
 static Fl_Round_Button *pStyle3=(Fl_Round_Button *)0;
 
 static void cb_pStyle3(Fl_Round_Button* o, void*) {
   if(o->value())
-   brace_style = 3;
+     brace_style = 3;
+
 }
 
 static Fl_Check_Button *pNoSpaceParens=(Fl_Check_Button *)0;
 
 static void cb_pNoSpaceParens(Fl_Check_Button* o, void*) {
   no_space_parens = o->value();;
+
 }
 
 static Fl_Check_Button *pBraceFuncs=(Fl_Check_Button *)0;
 
 static void cb_pBraceFuncs(Fl_Check_Button* o, void*) {
   brace_functions = o->value();
+
 }
 
 static Fl_Value_Input *pTabSize=(Fl_Value_Input *)0;
 
 static void cb_pTabSize(Fl_Value_Input* o, void*) {
   tab_size = (int)o->value();
+
 }
 
 static Fl_Check_Button *pIndentTabs=(Fl_Check_Button *)0;
 
 static void cb_pIndentTabs(Fl_Check_Button* o, void*) {
   indent_tabs = o->value();
-if(o->value())
-    pTabSize->hide();
-else
-   pTabSize->show();
+  if(o->value())
+      pTabSize->hide();
+  else
+     pTabSize->show();
+
 }
 
 static Fl_Check_Button *pIndentCode=(Fl_Check_Button *)0;
 
 static void cb_pIndentCode(Fl_Check_Button* o, void*) {
   indent_code = o->value();
+
 }
 
 static Fl_Check_Button *pReturnParens=(Fl_Check_Button *)0;
 
 static void cb_pReturnParens(Fl_Check_Button* o, void*) {
   always_return_parens = o->value();
+
 }
 
 static void cb_Cancel(Fl_Button* o, void*) {
   o->window()->hide();
+
 }
 
 static void cb_Save(Fl_Button* o, void*) {
   use_coding_style();
-save_coding_style();
-o->window()->hide();
+  save_coding_style();
+  o->window()->hide();
+
 }
 
 static void cb_Use(Fl_Button* o, void*) {
   use_coding_style();
-o->window()->hide();
+  o->window()->hide();
+
 }
 
 Fl_Window* make_codingstyle_window() {
   Fl_Window* w;
-  { Fl_Window* o = new Fl_Window(7, 78, 310, 255);
+   {  Fl_Window* o = new Fl_Window(310, 255);
     w = o;
-    { Fl_Tabs* o = new Fl_Tabs(0, 0, 303, 218);
+     {    Fl_Tabs* o = new Fl_Tabs(0, 0, 303, 218);
       o->box(FL_EMBOSSED_BOX);
-      { Fl_Group* o = new Fl_Group(0, 25, 303, 193, "Brace Style");
-        { Fl_Group* o = new Fl_Group(14, 22, 282, 122, "Brace Style");
+       {      Fl_Group* o = new Fl_Group(0, 25, 303, 193, "Brace Style");
+         {        Fl_Group* o = new Fl_Group(14, 22, 282, 122, "Brace Style");
           o->box(FL_ENGRAVED_BOX);
           o->align(FL_ALIGN_TOP | FL_ALIGN_LEFT);
-          { Fl_Box* o = new Fl_Box(20, 6, 47, 20, "if ( x ) {");
+           {          Fl_Box* o = new Fl_Box(20, 6, 47, 20, "if ( x ) {");
             o->align(FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
           }
-          { Fl_Box* o = new Fl_Box(20, 25, 45, 20, "++y;");
+           {          Fl_Box* o = new Fl_Box(20, 25, 45, 20, "++y;");
             o->align(FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
           }
-          { Fl_Box* o = new Fl_Box(20, 41, 36, 20, "}");
+           {          Fl_Box* o = new Fl_Box(20, 41, 36, 20, "}");
             o->align(FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
           }
-          { Fl_Box* o = new Fl_Box(114, 6, 47, 20, "if ( x )");
+           {          Fl_Box* o = new Fl_Box(114, 6, 47, 20, "if ( x )");
             o->align(FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
           }
-          { Fl_Box* o = new Fl_Box(114, 25, 36, 20, "{");
+           {          Fl_Box* o = new Fl_Box(114, 25, 36, 20, "{");
             o->align(FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
           }
-          { Fl_Box* o = new Fl_Box(115, 42, 46, 20, "++y;");
+           {          Fl_Box* o = new Fl_Box(115, 42, 46, 20, "++y;");
             o->align(FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
           }
-          { Fl_Box* o = new Fl_Box(114, 59, 36, 20, "}");
+           {          Fl_Box* o = new Fl_Box(114, 59, 36, 20, "}");
             o->align(FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
           }
-          { Fl_Round_Button* o = pStyle1 = new Fl_Round_Button(16, 84, 66, 25, "Style 1");
+           {          Fl_Round_Button* o = pStyle1 = new Fl_Round_Button(16, 84, 66, 25, "Style 1");
             o->type(102);
             o->value(1);
             o->callback((Fl_Callback*)cb_pStyle1);
           }
-          { Fl_Box* o = new Fl_Box(201, 6, 47, 20, "if ( x )");
+           {          Fl_Box* o = new Fl_Box(201, 6, 47, 20, "if ( x )");
             o->align(FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
           }
-          { Fl_Box* o = new Fl_Box(201, 25, 36, 20, "{");
+           {          Fl_Box* o = new Fl_Box(201, 25, 36, 20, "{");
             o->align(FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
           }
-          { Fl_Box* o = new Fl_Box(227, 42, 34, 22, "++y;");
+           {          Fl_Box* o = new Fl_Box(227, 42, 34, 22, "++y;");
             o->align(FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
           }
-          { Fl_Box* o = new Fl_Box(201, 59, 36, 20, "}");
+           {          Fl_Box* o = new Fl_Box(201, 59, 36, 20, "}");
             o->align(FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
           }
-          { Fl_Round_Button* o = pStyle2 = new Fl_Round_Button(109, 84, 66, 25, "Style 2");
+           {          Fl_Round_Button* o = pStyle2 = new Fl_Round_Button(109, 84, 66, 25, "Style 2");
             o->type(102);
             o->callback((Fl_Callback*)cb_pStyle2);
           }
-          { Fl_Round_Button* o = pStyle3 = new Fl_Round_Button(200, 84, 66, 25, "Style 3");
+           {          Fl_Round_Button* o = pStyle3 = new Fl_Round_Button(200, 84, 66, 25, "Style 3");
             o->type(102);
             o->callback((Fl_Callback*)cb_pStyle3);
           }
           o->end();
         }
-        { Fl_Check_Button* o = pNoSpaceParens = new Fl_Check_Button(14, 147, 193, 25, "No space before parentheses");
+         {        Fl_Check_Button* o = pNoSpaceParens = new Fl_Check_Button(14, 147, 193, 25, "No space before parentheses");
           o->callback((Fl_Callback*)cb_pNoSpaceParens);
         }
-        { Fl_Check_Button* o = pBraceFuncs = new Fl_Check_Button(14, 168, 175, 25, "Apply to function braces");
+         {        Fl_Check_Button* o = pBraceFuncs = new Fl_Check_Button(14, 168, 175, 25, "Apply to function braces");
           o->value(1);
           o->callback((Fl_Callback*)cb_pBraceFuncs);
         }
         o->end();
       }
-      { Fl_Group* o = new Fl_Group(0, 25, 303, 183, "Other");
+       {      Fl_Group* o = new Fl_Group(0, 25, 303, 183, "Other");
         o->hide();
-        { Fl_Group* o = new Fl_Group(11, 22, 218, 90, "Indentation");
+         {        Fl_Group* o = new Fl_Group(11, 22, 218, 90, "Indentation");
           o->box(FL_ENGRAVED_BOX);
           o->align(FL_ALIGN_TOP | FL_ALIGN_LEFT);
-          { Fl_Value_Input* o = pTabSize = new Fl_Value_Input(129, 33, 31, 25, "Tab size for indents");
+           {          Fl_Value_Input* o = pTabSize = new Fl_Value_Input(129, 33, 31, 25, "Tab size for indents");
             o->maximum(12);
             o->value(2);
             o->callback((Fl_Callback*)cb_pTabSize);
           }
-          { Fl_Check_Button* o = pIndentTabs = new Fl_Check_Button(13, 7, 114, 25, "Indent with tabs");
+           {          Fl_Check_Button* o = pIndentTabs = new Fl_Check_Button(13, 7, 114, 25, "Indent with tabs");
             o->callback((Fl_Callback*)cb_pIndentTabs);
           }
-          { Fl_Check_Button* o = pIndentCode = new Fl_Check_Button(14, 58, 151, 25, "Indent code blocks");
+           {          Fl_Check_Button* o = pIndentCode = new Fl_Check_Button(14, 58, 151, 25, "Indent code blocks");
             o->callback((Fl_Callback*)cb_pIndentCode);
           }
           o->end();
         }
-        { Fl_Check_Button* o = pReturnParens = new Fl_Check_Button(9, 120, 221, 25, "Always use parentheses on return");
+         {        Fl_Check_Button* o = pReturnParens = new Fl_Check_Button(9, 120, 221, 25, "Always use parentheses on return");
           o->callback((Fl_Callback*)cb_pReturnParens);
         }
         o->end();
       }
       o->end();
     }
-    { Fl_Button* o = new Fl_Button(106, 223, 59, 25, "Cancel");
+     {    Fl_Button* o = new Fl_Button(106, 223, 59, 25, "Cancel");
       o->callback((Fl_Callback*)cb_Cancel);
     }
-    { Fl_Button* o = new Fl_Button(171, 223, 59, 25, "Save");
+     {    Fl_Button* o = new Fl_Button(171, 223, 59, 25, "Save");
       o->callback((Fl_Callback*)cb_Save);
     }
-    { Fl_Button* o = new Fl_Button(236, 223, 59, 25, "Use");
+     {    Fl_Button* o = new Fl_Button(236, 223, 59, 25, "Use");
       o->callback((Fl_Callback*)cb_Use);
     }
     o->end();
@@ -202,23 +214,23 @@
 
 void load_codingstyle_window() {
   brace_style = gbrace_style;
-no_space_parens = gno_space_parens;
-brace_functions = gbrace_functions;  
-indent_tabs = gindent_tabs;
-tab_size = gtab_size;
-always_return_parens = galways_return_parens;
-indent_code = gindent_code;
-pStyle1->value(gbrace_style == 1);
-pStyle2->value(gbrace_style == 2);
-pStyle3->value(gbrace_style == 3);
-pNoSpaceParens->value(gno_space_parens);
-pBraceFuncs->value(gbrace_functions);
-pIndentTabs->value(gindent_tabs);
-pTabSize->value(gtab_size);
-pReturnParens->value(galways_return_parens);
-if(gindent_tabs)
-   pTabSize->hide();
-else
-   pTabSize->show();
-pIndentCode->value(gindent_code);
+  no_space_parens = gno_space_parens;
+  brace_functions = gbrace_functions;  
+  indent_tabs = gindent_tabs;
+  tab_size = gtab_size;
+  always_return_parens = galways_return_parens;
+  indent_code = gindent_code;
+  pStyle1->value(gbrace_style == 1);
+  pStyle2->value(gbrace_style == 2);
+  pStyle3->value(gbrace_style == 3);
+  pNoSpaceParens->value(gno_space_parens);
+  pBraceFuncs->value(gbrace_functions);
+  pIndentTabs->value(gindent_tabs);
+  pTabSize->value(gtab_size);
+  pReturnParens->value(galways_return_parens);
+  if(gindent_tabs)
+     pTabSize->hide();
+  else
+     pTabSize->show();
+  pIndentCode->value(gindent_code);
 }
diff -Nru ./fluid/function_panel.cxx ../fltk-2-cvs/fluid/function_panel.cxx
--- ./fluid/function_panel.cxx	Tue Jan 23 20:47:54 2001
+++ ../fltk-2-cvs/fluid/function_panel.cxx	Tue Jul 10 20:03:06 2001
@@ -20,33 +20,36 @@
 
 Fl_Window* make_function_panel() {
   Fl_Window* w;
-  { Fl_Window* o = function_panel = new Fl_Window(287, 218, "function/method");
+   {  Fl_Window* o = function_panel = new Fl_Window(280, 215, "function/method");
     w = o;
-    { Fl_Light_Button* o = f_public_button = new Fl_Light_Button(10, 15, 65, 25, "public");
+     {    Fl_Light_Button* o = f_public_button = new Fl_Light_Button(10, 15, 64, 25, "public");
       o->label_size(10);
       o->when(FL_WHEN_NEVER);
     }
-    { Fl_Light_Button* o = f_c_button = new Fl_Light_Button(90, 15, 90, 25, "C declaration");
+     {    Fl_Light_Button* o = f_c_button = new Fl_Light_Button(88, 15, 88, 25, "C declaration");
       o->label_size(10);
     }
-    { Fl_Input* o = f_name_input = new Fl_Input(10, 60, 270, 25, "Name(args): (blank for main())");
+     {    Fl_Input* o = f_name_input = new Fl_Input(10, 60, 263, 22, "Name(args): (blank for main())");
+      o->text_font(fl_fonts()+4);
       o->align(FL_ALIGN_TOP | FL_ALIGN_LEFT);
       o->when(FL_WHEN_NEVER);
       Fl_Group::current()->resizable(o);
     }
-    { Fl_Input* o = f_attributes_input = new Fl_Input(10, 105, 270, 25, "Attributes (virtual, static, __declspec, ...)");
+     {    Fl_Input* o = f_attributes_input = new Fl_Input(10, 102, 263, 25, "Attributes (virtual, static, __declspec, ...)");
+      o->text_font(fl_fonts()+4);
       o->align(FL_ALIGN_TOP | FL_ALIGN_LEFT);
       o->when(FL_WHEN_NEVER);
     }
-    { Fl_Input* o = f_return_type_input = new Fl_Input(10, 150, 270, 25, "Return Type: (blank to return outermost widget)");
+     {    Fl_Input* o = f_return_type_input = new Fl_Input(10, 147, 263, 25, "Return Type: (blank to return outermost widget)");
+      o->text_font(fl_fonts()+4);
       o->align(FL_ALIGN_TOP | FL_ALIGN_LEFT);
       o->when(FL_WHEN_NEVER);
     }
-    { Fl_Return_Button* o = f_panel_ok = new Fl_Return_Button(110, 185, 80, 25, "OK");
+     {    Fl_Return_Button* o = f_panel_ok = new Fl_Return_Button(108, 182, 78, 25, "OK");
       o->shortcut(0xff0d);
       ((Fl_Window*)(o->parent()))->hotspot(o);
     }
-    { Fl_Button* o = f_panel_cancel = new Fl_Button(200, 185, 80, 25, "Cancel");
+     {    Fl_Button* o = f_panel_cancel = new Fl_Button(196, 182, 77, 25, "Cancel");
       o->shortcut(0xff1b);
     }
     o->set_modal();
@@ -65,19 +68,20 @@
 
 Fl_Window* make_code_panel() {
   Fl_Window* w;
-  { Fl_Window* o = code_panel = new Fl_Window(291, 178, "code");
+   {  Fl_Window* o = code_panel = new Fl_Window(640, 390, "code");
     w = o;
-    { Fl_Input* o = code_input = new Fl_Input(6, 5, 280, 135);
+     {    Fl_Input* o = code_input = new Fl_Input(6, 5, 629, 347);
       o->type(4);
+      o->text_font(fl_fonts()+4);
       o->align(FL_ALIGN_CENTER);
       o->when(FL_WHEN_NEVER);
       Fl_Group::current()->resizable(o);
     }
-    { Fl_Return_Button* o = code_panel_ok = new Fl_Return_Button(115, 145, 80, 25, "OK");
+     {    Fl_Return_Button* o = code_panel_ok = new Fl_Return_Button(250, 357, 180, 25, "OK");
       o->shortcut(0xff0d);
       ((Fl_Window*)(o->parent()))->hotspot(o);
     }
-    { Fl_Button* o = code_panel_cancel = new Fl_Button(205, 145, 80, 25, "Cancel");
+     {    Fl_Button* o = code_panel_cancel = new Fl_Button(453, 357, 179, 25, "Cancel");
       o->shortcut(0xff1b);
     }
     o->set_modal();
@@ -98,25 +102,27 @@
 
 Fl_Window* make_codeblock_panel() {
   Fl_Window* w;
-  { Fl_Window* o = codeblock_panel = new Fl_Window(293, 134, "codeblock");
+   {  Fl_Window* o = codeblock_panel = new Fl_Window(290, 130, "codeblock");
     w = o;
-    { Fl_Input* o = code_before_input = new Fl_Input(10, 5, 275, 25);
+     {    Fl_Input* o = code_before_input = new Fl_Input(10, 5, 272, 21);
+      o->text_font(fl_fonts()+4);
       o->align(FL_ALIGN_TOP | FL_ALIGN_LEFT);
       o->when(FL_WHEN_NEVER);
       Fl_Group::current()->resizable(o);
     }
-    { Fl_Box* o = new Fl_Box(10, 35, 270, 25, "\"{...child code...}\" is inserted here");
+     {    Fl_Box* o = new Fl_Box(10, 31, 268, 25, "\"{...child code...}\" is inserted here");
       o->align(FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
     }
-    { Fl_Input* o = code_after_input = new Fl_Input(10, 65, 275, 25);
+     {    Fl_Input* o = code_after_input = new Fl_Input(10, 61, 272, 25);
+      o->text_font(fl_fonts()+4);
       o->align(FL_ALIGN_TOP | FL_ALIGN_LEFT);
       o->when(FL_WHEN_NEVER);
     }
-    { Fl_Return_Button* o = codeblock_panel_ok = new Fl_Return_Button(115, 100, 80, 25, "OK");
+     {    Fl_Return_Button* o = codeblock_panel_ok = new Fl_Return_Button(114, 96, 79, 25, "OK");
       o->shortcut(0xff0d);
       ((Fl_Window*)(o->parent()))->hotspot(o);
     }
-    { Fl_Button* o = codeblock_panel_cancel = new Fl_Button(205, 100, 80, 25, "Cancel");
+     {    Fl_Button* o = codeblock_panel_cancel = new Fl_Button(203, 96, 79, 25, "Cancel");
       o->shortcut(0xff1b);
     }
     o->set_modal();
@@ -137,25 +143,27 @@
 
 Fl_Window* make_declblock_panel() {
   Fl_Window* w;
-  { Fl_Window* o = declblock_panel = new Fl_Window(293, 134, "declaration block");
+   {  Fl_Window* o = declblock_panel = new Fl_Window(290, 130, "declaration block");
     w = o;
-    { Fl_Input* o = decl_before_input = new Fl_Input(15, 10, 275, 25);
+     {    Fl_Input* o = decl_before_input = new Fl_Input(15, 10, 272, 21);
+      o->text_font(fl_fonts()+4);
       o->align(FL_ALIGN_TOP | FL_ALIGN_LEFT);
       o->when(FL_WHEN_NEVER);
       Fl_Group::current()->resizable(o);
     }
-    { Fl_Box* o = new Fl_Box(15, 40, 270, 25, "\"\\n...child code...\\n\" is inserted here");
+     {    Fl_Box* o = new Fl_Box(15, 36, 268, 25, "\"\\n...child code...\\n\" is inserted here");
       o->align(FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
     }
-    { Fl_Input* o = decl_after_input = new Fl_Input(15, 70, 275, 25);
+     {    Fl_Input* o = decl_after_input = new Fl_Input(15, 66, 272, 25);
+      o->text_font(fl_fonts()+4);
       o->align(FL_ALIGN_TOP | FL_ALIGN_LEFT);
       o->when(FL_WHEN_NEVER);
     }
-    { Fl_Return_Button* o = declblock_panel_ok = new Fl_Return_Button(120, 105, 80, 25, "OK");
+     {    Fl_Return_Button* o = declblock_panel_ok = new Fl_Return_Button(119, 101, 79, 25, "OK");
       o->shortcut(0xff0d);
       ((Fl_Window*)(o->parent()))->hotspot(o);
     }
-    { Fl_Button* o = declblock_panel_cancel = new Fl_Button(210, 105, 80, 25, "Cancel");
+     {    Fl_Button* o = declblock_panel_cancel = new Fl_Button(208, 101, 79, 25, "Cancel");
       o->shortcut(0xff1b);
     }
     o->set_modal();
@@ -176,24 +184,25 @@
 
 Fl_Window* make_decl_panel() {
   Fl_Window* w;
-  { Fl_Window* o = decl_panel = new Fl_Window(290, 176, "declaration");
+   {  Fl_Window* o = decl_panel = new Fl_Window(290, 175, "declaration");
     w = o;
-    { Fl_Light_Button* o = decl_public_button = new Fl_Light_Button(10, 15, 65, 25, "public");
+     {    Fl_Light_Button* o = decl_public_button = new Fl_Light_Button(10, 15, 65, 25, "public");
       o->label_size(10);
       o->when(FL_WHEN_NEVER);
     }
-    { Fl_Input* o = decl_input = new Fl_Input(10, 50, 270, 25, "can be any declartion, like \"int x;\",\nan external symbol like \"extern int\
+     {    Fl_Input* o = decl_input = new Fl_Input(10, 50, 270, 24, "can be any declartion, like \"int x;\",\nan external symbol like \"extern int\
  foo();\",\na #directive like \"#include <foo.h>\",\nor a comment like \"//foo\
 \" or \"/*foo*/\"");
+      o->text_font(fl_fonts()+4);
       o->align(FL_ALIGN_BOTTOM | FL_ALIGN_LEFT);
       o->when(FL_WHEN_NEVER);
       Fl_Group::current()->resizable(o);
     }
-    { Fl_Return_Button* o = decl_panel_ok = new Fl_Return_Button(115, 145, 80, 25, "OK");
+     {    Fl_Return_Button* o = decl_panel_ok = new Fl_Return_Button(115, 144, 80, 25, "OK");
       o->shortcut(0xff0d);
       ((Fl_Window*)(o->parent()))->hotspot(o);
     }
-    { Fl_Button* o = decl_panel_cancel = new Fl_Button(205, 145, 80, 25, "Cancel");
+     {    Fl_Button* o = decl_panel_cancel = new Fl_Button(205, 144, 80, 25, "Cancel");
       o->shortcut(0xff1b);
     }
     o->end();
@@ -215,26 +224,28 @@
 
 Fl_Window* make_class_panel() {
   Fl_Window* w;
-  { Fl_Window* o = class_panel = new Fl_Window(287, 173, "class");
+   {  Fl_Window* o = class_panel = new Fl_Window(280, 170, "class");
     w = o;
-    { Fl_Light_Button* o = c_public_button = new Fl_Light_Button(10, 10, 65, 25, "public");
+     {    Fl_Light_Button* o = c_public_button = new Fl_Light_Button(10, 10, 64, 25, "public");
       o->label_size(10);
       o->when(FL_WHEN_NEVER);
     }
-    { Fl_Input* o = c_name_input = new Fl_Input(10, 55, 270, 25, "name:");
+     {    Fl_Input* o = c_name_input = new Fl_Input(10, 55, 263, 22, "name:");
+      o->text_font(fl_fonts()+4);
       o->align(FL_ALIGN_TOP | FL_ALIGN_LEFT);
       o->when(FL_WHEN_NEVER);
       Fl_Group::current()->resizable(o);
     }
-    { Fl_Input* o = c_subclass_input = new Fl_Input(10, 100, 270, 25, "subclass of (text between : and {)");
+     {    Fl_Input* o = c_subclass_input = new Fl_Input(10, 97, 263, 25, "subclass of (text between : and {)");
+      o->text_font(fl_fonts()+4);
       o->align(FL_ALIGN_TOP | FL_ALIGN_LEFT);
       o->when(FL_WHEN_NEVER);
     }
-    { Fl_Return_Button* o = c_panel_ok = new Fl_Return_Button(110, 135, 80, 25, "OK");
+     {    Fl_Return_Button* o = c_panel_ok = new Fl_Return_Button(108, 132, 78, 25, "OK");
       o->shortcut(0xff0d);
       ((Fl_Window*)(o->parent()))->hotspot(o);
     }
-    { Fl_Button* o = c_panel_cancel = new Fl_Button(200, 135, 80, 25, "Cancel");
+     {    Fl_Button* o = c_panel_cancel = new Fl_Button(196, 132, 77, 25, "Cancel");
       o->shortcut(0xff1b);
     }
     o->set_modal();
diff -Nru ./fluid/function_panel.fl ../fltk-2-cvs/fluid/function_panel.fl
--- ./fluid/function_panel.fl	Mon Jan 10 08:31:10 2000
+++ ../fltk-2-cvs/fluid/function_panel.fl	Tue Jul 10 20:00:12 2001
@@ -1,5 +1,5 @@
 # data file for the FLTK User Interface Designer (FLUID)
-version 2.0000 
+version 2.0001 
 images_dir ./ 
 header_name {.h} 
 code_name {.cxx} 
@@ -10,35 +10,35 @@
 } {
   Fl_Window function_panel {
     label {function/method}
-    xywh {165 408 287 218} resizable modal visible
+    xywh {116 405 280 215} resizable modal visible
   } {
     Fl_Light_Button f_public_button {
       label public
-      xywh {10 15 65 25} when 0 labelsize 10
+      xywh {10 15 64 25} when 0 labelsize 10
     }
     Fl_Light_Button f_c_button {
       label {C declaration}
-      xywh {90 15 90 25} labelsize 10
+      xywh {88 15 88 25} labelsize 10
     }
     Fl_Input f_name_input {
       label {Name(args): (blank for main())}
-      xywh {10 60 270 25} align 5 when 0 resizable
+      xywh {10 60 263 22} align 5 when 0 resizable textfont 4
     }
     Fl_Input f_attributes_input {
       label {Attributes (virtual, static, __declspec, ...)}
-      xywh {10 105 270 25} align 5 when 0
+      xywh {10 102 263 25} align 5 when 0 textfont 4
     }
     Fl_Input f_return_type_input {
-      label {Return Type: (blank to return outermost widget)}
-      xywh {10 150 270 25} align 5 when 0
+      label {Return Type: (blank to return outermost widget)} selected
+      xywh {10 147 263 25} align 5 when 0 textfont 4
     }
     Fl_Return_Button f_panel_ok {
       label OK
-      xywh {110 185 80 25} hotspot
+      xywh {108 182 78 25} hotspot shortcut 0xff0d
     }
     Fl_Button f_panel_cancel {
       label Cancel
-      xywh {200 185 80 25} shortcut 0xff1b
+      xywh {196 182 77 25} shortcut 0xff1b
     }
   }
 } 
@@ -47,18 +47,18 @@
 } {
   Fl_Window code_panel {
     label code
-    xywh {171 177 291 178} resizable modal visible
+    xywh {66 62 640 390} resizable modal visible
   } {
     Fl_Input code_input {
-      xywh {6 5 280 135} type Multiline align 0 when 0 resizable
+      xywh {6 5 629 347} type Multiline align 0 when 0 resizable textfont 4
     }
     Fl_Return_Button code_panel_ok {
       label OK
-      xywh {115 145 80 25} hotspot
+      xywh {250 357 180 25} hotspot shortcut 0xff0d
     }
     Fl_Button code_panel_cancel {
       label Cancel
-      xywh {205 145 80 25} shortcut 0xff1b
+      xywh {453 357 179 25} shortcut 0xff1b
     }
   }
 } 
@@ -67,25 +67,25 @@
 } {
   Fl_Window codeblock_panel {
     label codeblock
-    xywh {139 641 293 134} resizable modal visible
+    xywh {283 330 290 130} resizable modal visible
   } {
     Fl_Input code_before_input {
-      xywh {10 5 275 25} align 5 when 0 resizable
+      xywh {10 5 272 21} align 5 when 0 resizable textfont 4
     }
     Fl_Box {} {
       label {"{...child code...}" is inserted here}
-      xywh {10 35 270 25} align 20
+      xywh {10 31 268 25} align 20
     }
     Fl_Input code_after_input {
-      xywh {10 65 275 25} align 5 when 0
+      xywh {10 61 272 25} align 5 when 0 textfont 4
     }
     Fl_Return_Button codeblock_panel_ok {
       label OK
-      xywh {115 100 80 25} hotspot
+      xywh {114 96 79 25} hotspot shortcut 0xff0d
     }
     Fl_Button codeblock_panel_cancel {
       label Cancel
-      xywh {205 100 80 25} shortcut 0xff1b
+      xywh {203 96 79 25} shortcut 0xff1b
     }
   }
 } 
@@ -94,25 +94,25 @@
 } {
   Fl_Window declblock_panel {
     label {declaration block}
-    xywh {511 96 293 134} resizable modal visible
+    xywh {511 96 290 130} resizable modal visible
   } {
     Fl_Input decl_before_input {
-      xywh {15 10 275 25} align 5 when 0 resizable
+      xywh {15 10 272 21} align 5 when 0 resizable textfont 4
     }
     Fl_Box {} {
       label {"\\n...child code...\\n" is inserted here}
-      xywh {15 40 270 25} align 20
+      xywh {15 36 268 25} align 20
     }
     Fl_Input decl_after_input {
-      xywh {15 70 275 25} align 5 when 0
+      xywh {15 66 272 25} align 5 when 0 textfont 4
     }
     Fl_Return_Button declblock_panel_ok {
       label OK
-      xywh {120 105 80 25} hotspot
+      xywh {119 101 79 25} hotspot shortcut 0xff0d
     }
     Fl_Button declblock_panel_cancel {
       label Cancel
-      xywh {210 105 80 25} shortcut 0xff1b
+      xywh {208 101 79 25} shortcut 0xff1b
     }
   }
 } 
@@ -121,7 +121,7 @@
 } {
   Fl_Window decl_panel {
     label declaration
-    xywh {282 823 290 176} resizable visible
+    xywh {694 437 290 175} resizable visible
   } {
     Fl_Light_Button decl_public_button {
       label public
@@ -132,15 +132,15 @@
 an external symbol like "extern int foo();",
 a \#directive like "\#include <foo.h>",
 or a comment like "//foo" or "/*foo*/"}
-      xywh {10 50 270 25} align 6 when 0 resizable
+      xywh {10 50 270 24} align 6 when 0 resizable textfont 4
     }
     Fl_Return_Button decl_panel_ok {
       label OK
-      xywh {115 145 80 25} hotspot
+      xywh {115 144 80 25} hotspot shortcut 0xff0d
     }
     Fl_Button decl_panel_cancel {
       label Cancel
-      xywh {205 145 80 25} shortcut 0xff1b
+      xywh {205 144 80 25} shortcut 0xff1b
     }
   }
 } 
@@ -148,28 +148,28 @@
 Function {make_class_panel()} {open
 } {
   Fl_Window class_panel {
-    label class selected
-    xywh {517 813 287 173} resizable modal visible
+    label class
+    xywh {443 567 280 170} resizable modal visible
   } {
     Fl_Light_Button c_public_button {
       label public
-      xywh {10 10 65 25} when 0 labelsize 10
+      xywh {10 10 64 25} when 0 labelsize 10
     }
     Fl_Input c_name_input {
       label {name:}
-      xywh {10 55 270 25} align 5 when 0 resizable
+      xywh {10 55 263 22} align 5 when 0 resizable textfont 4
     }
     Fl_Input c_subclass_input {
       label {subclass of (text between : and \{)}
-      xywh {10 100 270 25} align 5 when 0
+      xywh {10 97 263 25} align 5 when 0 textfont 4
     }
     Fl_Return_Button c_panel_ok {
       label OK
-      xywh {110 135 80 25} hotspot
+      xywh {108 132 78 25} hotspot shortcut 0xff0d
     }
     Fl_Button c_panel_cancel {
       label Cancel
-      xywh {200 135 80 25} shortcut 0xff1b
+      xywh {196 132 77 25} shortcut 0xff1b
     }
   }
 } 
